package com.yonge.cooleshow.website.controller.open;

import com.yonge.cooleshow.biz.dal.service.TeacherService;
import com.yonge.cooleshow.biz.dal.vo.TeacherVo;
import com.yonge.cooleshow.common.controller.BaseController;
import com.yonge.cooleshow.common.entity.HttpResponseResult;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/open/teacher")
@Api(value = "开放老师接口", tags = "开放老师接口")
public class OpenTeacherController extends BaseController {
    @Autowired
    private TeacherService teacherService;

    /**
     * 查询单条
     */
    @GetMapping("/detail/{id}")
    @ApiOperation(value = "详情", notes = "传入id")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "id", value = "id", paramType = "path", dataType = "long", required = true),
    })
    public HttpResponseResult<TeacherVo> detail(@PathVariable("id") Long userId) {
        TeacherVo detail = teacherService.detail(userId);
        return succeed(detail);
    }
}